Qyra
ReferenceCatalog

Get table analytics

Get catalog analytics for tables

GET/api/v1/projects/{projectUuid}/dataCatalog/{table}/analytics

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes
tablestringYesTable name to get analytics for

Responses

200 — Success

{
  "results": {
    "charts": [
      {
        "name": "string",
        "description": "string",
        "slug": "string",
        "uuid": "string",
        "chartKind": "line",
        "spaceUuid": "string",
        "spaceName": "string",
        "dashboardUuid": "string",
        "dashboardName": "string",
        "viewsCount": 0
      }
    ]
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}